Debian Bug report logs - #696083
ITP: libtest-exception-lessclever-perl -- simplified Test::Exception alternative

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 16:00:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libtest-exception-lessclever-perl/0.6-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696083; Package wnpp. (Sun, 16 Dec 2012 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 16:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtest-exception-lessclever-perl -- simplified Test::Exception alternative
Date: Sun, 16 Dec 2012 16:57:02 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libtest-exception-lessclever-perl
  Version         : 0.6
  Upstream Author : Chad Granum <exodist7@gmail.com>
* URL             : https://metacpan.org/release/Test-Exception-LessClever/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : simplified Test::Exception alternative

An alternative to Test::Exception that is much simpler. This alternative does
not use fancy stack tricks to hide itself. The idea here is to keep it
simple. This also solves the Test::Exception bug where some dies will be
hidden when a DESTROY method calls eval. If a DESTROY method masks $@ a
warning will be generated as well.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:12 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:49 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:49 GMT) Full text and rfc822 format available.

Message #12 received at 696083-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696083-close@bugs.debian.org
Subject: Bug#696083: fixed in libtest-exception-lessclever-perl 0.6-1
Date: Wed, 09 Jan 2013 18:00:14 +0000
Source: libtest-exception-lessclever-perl
Source-Version: 0.6-1

We believe that the bug you reported is fixed in the latest version of
libtest-exception-lessclever-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696083@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libtest-exception-lessclever-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 17:01:39 +0100
Source: libtest-exception-lessclever-perl
Binary: libtest-exception-lessclever-perl
Architecture: source all
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libtest-exception-lessclever-perl - simplified Test::Exception alternative
Closes: 696083
Changes: 
 libtest-exception-lessclever-perl (0.6-1) unstable; urgency=low
 .
   * Initial release (closes: #696083).
Checksums-Sha1: 
 f46e4c2c3feb75a92eb582b8e20df1497608ede7 2301 libtest-exception-lessclever-perl_0.6-1.dsc
 3a8cf7e05f5547da60553604863d1d36c4bd24b9 5327 libtest-exception-lessclever-perl_0.6.orig.tar.gz
 a719b68a02b385ae69c6e8c2de8085bf743a4fa8 1477 libtest-exception-lessclever-perl_0.6-1.debian.tar.gz
 c56a8277d899e8751d2118a5087e77f097dd2b42 7864 libtest-exception-lessclever-perl_0.6-1_all.deb
Checksums-Sha256: 
 823d6ccd4cb7b60a9d03ec7b50d74442e0a211a99a4d435bbee45241fba74b9c 2301 libtest-exception-lessclever-perl_0.6-1.dsc
 350b6b698e0e441920a8b6f5b774eafb86eca7f29c80e61c6337c1b7ecedb4a2 5327 libtest-exception-lessclever-perl_0.6.orig.tar.gz
 e79cd7f8b6f35ea0d1d03afe1ced8270a52a00f3d97e8d6fa56a60a0ead977cd 1477 libtest-exception-lessclever-perl_0.6-1.debian.tar.gz
 c1f01ffc5257c2b1a97be9fc8066ae7ec7a91f13bb7d522bb8de37b5b258e393 7864 libtest-exception-lessclever-perl_0.6-1_all.deb
Files: 
 b18b729cbc3adb4633cab057f5473359 2301 perl optional libtest-exception-lessclever-perl_0.6-1.dsc
 12d8f142e9ffe9a25ac0cdabf315add8 5327 perl optional libtest-exception-lessclever-perl_0.6.orig.tar.gz
 35941926418d01c34a15bdb1d45584c5 1477 perl optional libtest-exception-lessclever-perl_0.6-1.debian.tar.gz
 3edcfc2d9d3e63006249110e55b0f1f7 7864 perl optional libtest-exception-lessclever-perl_0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzfCBAAoJELs6aAGGSaoG7hsP/0Q9TVLGkHk9aTkPFkO5yVfN
07v47oF6GXb/yyjenq3RHnf2xNuTfj+/4pHgZJf5G5pcHUfhC8JSgJu3gZkJe6U3
Q+9yvegkpP2X2UqMOm2tFjdcNYbVWGdTxSjxCENVuKi4y21zTsg+ppC1+VhQEhA0
4SVA36PwR8bmZSo+6D2bkUUV4wqAZb/rdezSoTNJRk7kB4WzkM5A7NG2PykYs5b3
jSSmhZOCls2W99X8Q0E9+MGZ+PLj40eT2mrs38q7+tUEfk0Bxe+Ok73x7mvltRPD
YnpFSYswsveaUcweiAmTg0gre/oYDkydMzudyCkbdiRXqT2G72/wDsiLvlML6P2O
PXJvZFfowokz42SALVDOsismXvyCHGN9HQxDSmUC6G4KBmGHkBjmT4OF9f3U6vGb
r2QsOdkHfkBp5sxF2gOTkf8A4oSo6B0atM87ybtU8fz0kBHpgW5kV1514PK5+Qtb
YU3hAsJL24tC6d887XqFvxXFfs2Y1REDt6yxdsG2nhAwd9LvLoaTZGEVXqe6+Guk
pPYElIXMEEiawT5r6lHL717OirWgT39MM5rmh08AjgBJ7wwhN3mTOtSaoTpSW23f
Uqrov1pifGd7nLxK63HymqzAHhHCaqzG+LBV9hNZixYGiz6nID5AkLKr1NqsdwGK
NpgnsTdd3MkaPw0VJ05C
=re3I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:29:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:32:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.